Index: trunk/include/category_calendar.inc.php
===================================================================
--- trunk/include/category_calendar.inc.php	(revision 592)
+++ trunk/include/category_calendar.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                       category_calendar.inc.php                       |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/category_default.inc.php
===================================================================
--- trunk/include/category_default.inc.php	(revision 592)
+++ trunk/include/category_default.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                        category_default.inc.php                       |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/category_recent_cats.inc.php
===================================================================
--- trunk/include/category_recent_cats.inc.php	(revision 592)
+++ trunk/include/category_recent_cats.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                      category_recent_cats.inc.php                     |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/category_subcats.inc.php
===================================================================
--- trunk/include/category_subcats.inc.php	(revision 592)
+++ trunk/include/category_subcats.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                        category_subcats.inc.php                       |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/common.inc.php
===================================================================
--- trunk/include/common.inc.php	(revision 592)
+++ trunk/include/common.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                            common.inc.php                             |
-// +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/config.inc.php
===================================================================
--- trunk/include/config.inc.php	(revision 592)
+++ trunk/include/config.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                            config.inc.php                             |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/constants.php
===================================================================
--- trunk/include/constants.php	(revision 592)
+++ trunk/include/constants.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                             constants.php                             |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/functions.inc.php
===================================================================
--- trunk/include/functions.inc.php	(revision 592)
+++ trunk/include/functions.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                           functions.inc.php                           |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/functions_category.inc.php
===================================================================
--- trunk/include/functions_category.inc.php	(revision 592)
+++ trunk/include/functions_category.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                      functions_category.inc.php                       |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/functions_group.inc.php
===================================================================
--- trunk/include/functions_group.inc.php	(revision 592)
+++ trunk/include/functions_group.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                        functions_group.inc.php                        |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/functions_html.inc.php
===================================================================
--- trunk/include/functions_html.inc.php	(revision 592)
+++ trunk/include/functions_html.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                         functions_html.inc.php                        |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/functions_metadata.inc.php
===================================================================
--- trunk/include/functions_metadata.inc.php	(revision 592)
+++ trunk/include/functions_metadata.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                        functions_metadata.inc.php                     |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/functions_session.inc.php
===================================================================
--- trunk/include/functions_session.inc.php	(revision 592)
+++ trunk/include/functions_session.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                       functions_session.inc.php                       |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/functions_user.inc.php
===================================================================
--- trunk/include/functions_user.inc.php	(revision 592)
+++ trunk/include/functions_user.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                        functions_user.inc.php                         |
-// +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/functions_xml.inc.php
===================================================================
--- trunk/include/functions_xml.inc.php	(revision 592)
+++ trunk/include/functions_xml.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                         functions_xml.inc.php                         |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
@@ -25,5 +25,4 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-// xml tags 
 define( 'ATT_REG', '\w+' );
 define( 'VAL_REG', '[^"]*' );
Index: trunk/include/index.php
===================================================================
--- trunk/include/index.php	(revision 592)
+++ trunk/include/index.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                               index.php                               |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/page_header.php
===================================================================
--- trunk/include/page_header.php	(revision 592)
+++ trunk/include/page_header.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                            page_header.php                            |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/page_tail.php
===================================================================
--- trunk/include/page_tail.php	(revision 592)
+++ trunk/include/page_tail.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                             page_tail.php                             |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/template.php
===================================================================
--- trunk/include/template.php	(revision 592)
+++ trunk/include/template.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                             template.php                              |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$
Index: trunk/include/user.inc.php
===================================================================
--- trunk/include/user.inc.php	(revision 592)
+++ trunk/include/user.inc.php	(revision 593)
@@ -1,9 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// |                             user.inc.php                              |
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2004 PhpWebGallery Team - http://phpwebgallery.net |
 // +-----------------------------------------------------------------------+
-// | application   : PhpWebGallery <http://phpwebgallery.net>              |
-// | branch        : BSF (Best So Far)                                     |
-// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
 // | file          : $RCSfile$
 // | last update   : $Date$