Index: /trunk/doc/README_en.txt
===================================================================
--- /trunk/doc/README_en.txt	(revision 595)
+++ /trunk/doc/README_en.txt	(revision 595)
@@ -0,0 +1,37 @@
+                               PhpWebGallery
+                          http://phpwebgallery.net
+                       http://forum.phpwebgallery.net
+
++-----------------------------------------------------------------------------+
+|                        Installation instructions                            |
++-----------------------------------------------------------------------------+
+
+1. extract files from the downloaded file (using tar or unzip command, or
+   softwares like powerarchiver or winzip)
+
+2. place de source files on your website in the directory of your choice
+   ("gallery" for example)
+
+3. go to the URL http://your.domain/gallery/install.php
+
+4. follow the instructions of installation
+
++-----------------------------------------------------------------------------+
+|                               Newsletter                                    |
++-----------------------------------------------------------------------------+
+
+It is *highly* recommended to subscribe to PhpWebGallery newsletter. This is
+extremely low-traffic, but will provide you with announcements of new
+PhpWebGallery releases and serious bug notification. You can subscribe at
+this URL :
+
+         http://www.phpwebgallery.net/eng/index.php?rub=newsletter
+
+Being myself very disturbed because of spam, be sure that the mail address
+you are going to give for newsletter is completely unreadable by someone
+else than PhpWebGallery team and not present on any web page (a web search
+engine won't find it).
+
+PhpWebGallery also assure you that your mail address will NEVER be used for
+something else than PhpWebGallery newsletter.
+
Index: /trunk/doc/README_fr.txt
===================================================================
--- /trunk/doc/README_fr.txt	(revision 595)
+++ /trunk/doc/README_fr.txt	(revision 595)
@@ -0,0 +1,39 @@
+                               PhpWebGallery
+                          http://phpwebgallery.net
+                       http://forum.phpwebgallery.net
+
+-------------------------------------------------------------------------------
+--               Instructions d'installation de PhpWebGallery                --
+-------------------------------------------------------------------------------
+
+1. décompresser à l'aide de winzip par exemple (winrar, winace et beaucoup
+   d'autres le permettent également) le fichier téléchargé.
+
+2. placer les fichiers décompressés sur votre serveur web dans le répertoire
+   de votre choix ("galerie" par exemple)
+
+3. aller à l'URL http://votre.domaine/galerie/install.php
+
+4. suivre les instructions d'installation
+
+-------------------------------------------------------------------------------
+--                               Newsletter                                  --
+-------------------------------------------------------------------------------
+
+Il est *fortement* recommandé de souscrire à la newsletter de
+PhpWebGallery. Très peu de mails sont envoyés, mais les informations sont
+importantes : nouvelles versions de l'application, notification de bugs
+importants (relatifs à la sécurité). Vous pouvez souscrire à cette
+newsletter en vous rendant sur la page suivante :
+
+         http://www.phpwebgallery.net/fre/index.php?rub=newsletter
+
+Etant moi-même très dérangé par le spam (courrier non solicité), je peux
+vous assurer que le mail que vous allez donner à l'équipe de PhpWebGallery
+est absolument illisible autrement que par nous sur une page avec accès
+sécurisé dont l'URL n'est en lien nul part sur le web (donc introuvable par
+un moteur de recherche).
+
+L'équipe de PhpWebGallery vous assure également que JAMAIS l'adresse qui
+nous a été confiée ne sera utilisée dans un autre cadre que la newsletter de
+PhpWebGallery.